Subject: RE: IPP> Desperately seeking info on HTTP servers and CGIscripts

From: Babak Jahromi <[email-masked]>
Date: Wed, 4 Dec 1996 17:55:17 -0800

Win32 SDK, MSDN or ActiveX SDK should incude the ISAPI interface for
Internet Information Server. The interface is very similar to CGI, with
an ISAPI thread (as part of IIS process) replacing a CGI process, hence
boosting performance. Most CGI arguments have an ISAPI counterpart.

Check out:  http://www.microsoft.com/win32dev/apiext/isalegal.htm   for
more info.

Babak

>----------
>From: 	Tom Hastings[SMTP:[email-masked]]
>Sent: 	Wednesday, December 04, 1996 5:39 PM
>To: 	Babak Jahromi
>Cc: 	'Chuck Adams'; [email-masked]'
>Subject: 	RE: IPP> Desperately seeking info on HTTP servers and CGIscripts
>
>Babak,
>
>I'm not familiar with the ISAPI, can you tell us more?
>Is there a document or web URL that we can access?
>
>Thanks,
>Tom
>
>At 16:59 12/04/96 PST, Babak Jahromi wrote:
>>
>>I think the ISAPI interface will have to be considered as well.
>>
>>Babak
>>
>>>----------
>>>From: 	Chuck Adams[SMTP:[email-masked]]
>>>Sent: 	Wednesday, December 04, 1996 4:45 PM
>>>To: 	Tom Hastings
>>>Cc: 	[email-masked]
>>>Subject: 	Re: IPP> Desperately seeking info on HTTP servers and CGI scripts
>>>
>>>Tom Hastings wrote:
>>>> 
>>>> Apparently there are a lot of books on HTTP.  However, they have a lot of
>>>> detail and it has been reported that it is hard to find out about
>>>> HTTP servers and CGI scripts.
>>>> 
>>>> The IPP project has agreed as a goal that the IPP protocol can be
>>>>implemented
>>>> in an HTTP server as a CGI script that interfaces with a printer or print
>>>> system using whatever protocol that printer or print system supports so
>>>>that
>>>> no modifications have to be made to the HTTP server, except installing
>>>>the
>>>> CGI script.
>>>> 
>>>> Presumably you need a separate CGI script for each such printer or print
>>>> system job submission protocol.
>>>> 
>>>> So where can we find out more about what CGI scripts are and what kinds
>>>> of things can be written in them?  Are there RFCs?  Library books?
>>>
>>>	I have a copy of "Build a Web Site: The Programmer's
>>>	Guide to Creating, Building and Maintaining a Web 
>>>	Presence" by net.Genesis and Devra Hall, Prima Publishing,
>>>	ISBN: 0-7615-0064-2.  It is an introductory book on
>>>	CGI scripts and WEB sites.
>>>
>>>Chuck Adams
>>>Tektronix, Inc.
>>>
>>
>>
>
>